Hey guys,

I'm trying to upgrade from pcre 8.21 to 8.3. Steps I've taken:

Code:
wget & untar pcre source from pcre.org
$ ./configure --prefix=/usr
$ make
$ make check
$ make install
All return ok, no errors.

Code:
$ /usr/bin/pcre-config --version                
8.30
Good. From my understanding, apache needs to be rebuilt to see the new version. From what I've been able to google this seems to be the easiest way:

Code:
rpm -e --nodeps httpd
yum install httpd
Both commands run no problem. I make a simple php script to output phpinfo:

Code:
Configure Command - ... '--with-pcre-regex=/usr' ...
PCRE (Perl Compatible Regular Expressions) Support - enabled
PCRE Library Version - 8.21 2011-12-12
Not so good, still seeing 8.21. I spent a few hours on google last night but couldn't figure out what I'm doing wrong. If someone could either point me to the critical doc that I'm missing or help me out it'd be greatly appreciated.